Bulk create or update variant prices
Creates new prices or updates existing prices for product variants in bulk. Accepts up to 100 price items with variant, store group, and market information. Each price item can include regular price, sale price, reference price, status, and sale date ranges.
PUT
/api/v1/{team_slug}/{app_slug}/variants/prices/bulkAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
Request body
requiredapplication/jsonPrices data
dont_update_price_if_on_salebooleanUsed to prevent overwriting price if on_sale.
pricesinternal_pkg_webserver_v1.BulkPutPriceItem[]requiredmax items 50
Show propertiesHide properties
Array of
internal_pkg_webserver_v1.BulkPutPriceItemamount_cents_with_taxintegermin 0
market_slugstringrequiredon_salebooleanreference_price_with_taxintegermin 0
sale_end_timestampstringsale_price_with_taxintegermin 0
sale_start_timestampstringstatusgithub_com_enadhq_nabbit_internal_pkg_webserver_models.PriceStatusAllowed:
activeinactivedraftstore_group_slugstringrequiredvariant_idstringrequiredResponses
200
Prices created or updated successfully
datainternal_pkg_webserver_v1.BulkPutPricesResponserequiredShow propertiesHide properties
failedinternal_pkg_webserver_v1.BulkPutPriceFailedOp[] | nullShow propertiesHide properties
Array of
internal_pkg_webserver_v1.BulkPutPriceFailedOpmarket_slugstringreasonstringstore_group_slugstringvariant_idstringsuccessfulgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantPriceWithStoreGroup[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantPriceWithStoreGroupamount_cents_with_taxintegercreated_atstringidstringmarketgithub_com_enadhq_nabbit_internal_pkg_webserver_models.MarketShow propertiesHide properties
activebooleancountry_codesstring[] | nullcreated_atstringcurrency_codestringidstringlocalestringnamestringslugstringupdated_atstring | nullon_salebooleanreference_price_with_taxinteger | nullsale_end_timestampstring | nullsale_price_with_taxinteger | nullsale_start_timestampstring | nullstatusgithub_com_enadhq_nabbit_internal_pkg_webserver_models.PriceStatusAllowed:
activeinactivedraftstore_groupgithub_com_enadhq_nabbit_internal_pkg_webserver_models.StoreGroupShow propertiesHide properties
country_of_salestring | nullcreated_atstringdescriptionstringidstringnamestringslugstringstore_typestringupdated_atstring | nullupdated_atstring | nulldetailsstring[]Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes
successbooleanrequired400
Invalid request
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired